# List available Spark versions

Launch stage: GA

`GET /api/2.1/clusters/spark-versions`

Returns the list of available Spark versions. These versions can be used to launch a cluster.

API scopes: clusters

## Returns

- `versions` (array of object, optional)
  All the available Spark versions.
  - `key` (string, optional)
    Spark version key, for example "2.1.x-scala2.11". This is the value which should be provided
     as the "spark_version" when creating a new cluster.
     Note that the exact Spark version may change over time for a "wildcard" version
     (i.e., "2.1.x-scala2.11" is a "wildcard" version) with minor bug fixes.
    Example: `8.2.x-scala2.12`
  - `name` (string, optional)
    A descriptive name for this Spark version, for example "Spark 2.1".
    Example: `8.2 (includes Apache Spark 3.1.1, Scala 2.12)`

## Response

```json
{
  "versions": [
    {
      "key": "8.2.x-scala2.12",
      "name": "8.2 (includes Apache Spark 3.1.1, Scala 2.12)"
    }
  ]
}
```

